Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.beans
Class PropertyNotBindableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.jgoodies.binding.beans.PropertyException
                      com.jgoodies.binding.beans.PropertyNotBindableException

All Implemented Interfaces:
  Serializable

    public final class PropertyNotBindableException

extends PropertyException

A runtime exception that describes problems that arise when a bound property cannot be bound properly.

Version:
  $Revision: 1.8 $
Author:
  Karsten Lentzsch
See Also:
  `PropertyAdapter`, Serialized Form

Constructor Summary
`PropertyNotBindableException(String message)` Constructs a new exception instance with the specified detail message.
`PropertyNotBindableException(String message, Throwable cause)` Constructs a new exception instance with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyNotBindableException

    public PropertyNotBindableException(String message)

  Constructs a new exception instance with the specified detail message. The cause is not initialized.

  Parameters:
    `message` - the detail message which is saved for later retrieval by the `Throwable.getMessage()` method.

### PropertyNotBindableException

    public PropertyNotBindableException(String message,
                                        Throwable cause)

  Constructs a new exception instance with the specified detail message and cause.

  Parameters:
    `message` - the detail message which is saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - the cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2013 JGoodies Software GmbH. All Rights Reserved.